summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn Klug <john.klug@multitech.com>2018-08-29 11:19:00 -0500
committerJohn Klug <john.klug@multitech.com>2018-08-29 11:19:00 -0500
commit17124e5a5100dc2243badc5f546d2715c0861768 (patch)
treea9ce25a82b89c60182290cf9c2ae2dbc1c3f57d6
parentd68b09f16b31a0079bdab96ca6d828b93c29ecb2 (diff)
downloadmeta-multitech-17124e5a5100dc2243badc5f546d2715c0861768.tar.gz
meta-multitech-17124e5a5100dc2243badc5f546d2715c0861768.tar.bz2
meta-multitech-17124e5a5100dc2243badc5f546d2715c0861768.zip
mts-io init script adjusted for MTCDTIPHP with no GPS capability flag
-rw-r--r--recipes-bsp/multitech/mts-io.inc2
-rw-r--r--recipes-bsp/multitech/mts-io/mts-io.init11
2 files changed, 6 insertions, 7 deletions
diff --git a/recipes-bsp/multitech/mts-io.inc b/recipes-bsp/multitech/mts-io.inc
index 3ac5201..75544ad 100644
--- a/recipes-bsp/multitech/mts-io.inc
+++ b/recipes-bsp/multitech/mts-io.inc
@@ -7,7 +7,7 @@ LIC_FILES_CHKSUM = "file://io-module/COPYING;md5=94d55d512a9ba36caa9b7df079bae19
file://io-tool/COPYING;md5=94d55d512a9ba36caa9b7df079bae19f \
"
DEPENDS = "virtual/kernel"
-INC_PR = "r0"
+INC_PR = "r1"
SRCREV = "${PV}"
diff --git a/recipes-bsp/multitech/mts-io/mts-io.init b/recipes-bsp/multitech/mts-io/mts-io.init
index ee127a5..c3c3216 100644
--- a/recipes-bsp/multitech/mts-io/mts-io.init
+++ b/recipes-bsp/multitech/mts-io/mts-io.init
@@ -184,10 +184,13 @@ mfser_init() {
set_gpslink() {
hw=$(${SYSFS} show hw-version)
+ # hw_name is the hw-version before the hyphen.
hw_name=(${hw//-/ })
gpscap=$(cat ${sysdir}/capability/gps)
-
- if ((gpscap == 0)) ; then
+
+ # For all hardware except MTCDTIPHP, the gpscapability
+ # flag indicates whether or not we have a GPS.
+ if ! [[ ${hw_name} =~ ^MTCDTIPHP$ ]] && ((gpscap == 0)) ; then
return
fi
@@ -201,10 +204,6 @@ set_gpslink() {
return
fi
- if [[ ${hw} == MTCDT ]] && [[ ${HWLVL} == 0.0 ]] ; then
- # No GPS
- return
- fi
if [[ ${hw_name} == MTCDTIPHP ]] ; then
NEED_I2C_RESET=1
ln -sf /dev/ttyXRUSB0 /dev/gps0